Bug 97929 - iptables gives 'Invalid argument' for any parameters for 'owner' module
iptables gives 'Invalid argument' for any parameters for 'owner' module
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 04:06 EDT by Kirill Pushkin
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirill Pushkin 2003-06-24 04:06:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ru-RU; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
After upgrading to those kernels I've noticed iptables didn't properly started.
iptables-restore resported error on strings like:
-A OUTPUT -m owner --uid-owner root -j ACCEPT

Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-13.7 kernel-smp-2.4.20-18.7

How reproducible:
Always

Steps to Reproduce:
1. Power on server
2. Enter in root shell "iptables -A OUTPUT -m owner --uid-owner root -j ACCEPT"
    

Actual Results:  # iptables -A OUTPUT -m owner --uid-owner root -j ACCEPT
iptables: Invalid argument


Expected Results:  Expected to add rule to iptables

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.